Subject: bug#6177: 23.2; emacs crashes when reverting a file

From: Geoff Gole <[email-masked]>
Date: Wed, 26 May 2010 17:18:43 +0800

I can reproduce this crash in an emacs -Q with the following code:

(with-current-buffer (get-buffer-create "foo")
  (setq mode-line-buffer-identification '(:eval (erase-buffer)))
  (switch-to-buffer "foo")
  (insert "a"))

This is GNU Emacs 23.1.50.1 (i686-pc-linux-gnu, GTK+ Version 2.12.11)
of 2009-07-30. Other people were able to reproduce with 64 bit linux,
GNU Emacs 24.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.20.0)
and GNU Emacs 21.3.1 (i386-mingw-nt5.1.2600) of 2004-03-10.